Subject: Re: suggested mount tables?
From: [email-masked] (Ken Laberteaux)

25 Nov 1998 11:41:49 -0800
Message-ID: <[email-masked]>
References: <Pine.SUN.3.94.981120171832.14445A-100000@caliban>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Vince Rice <[email-masked]>
Cc: [email-masked]

What do you do with c:\cygnus\cygwin-b20\include?

Thanks for your helpful post.

Ken

Vince Rice wrote:
> 
> Let me say at the outset I'm a Unix user, not administrator.
> I'm sure there will be much wailing and gnashing of teeth from this,
> but here's what I did, since I find the standard Cygnus directory
> structure imcomprehensible <g>. My solution involves moving some
> directories around, which simplifies the mounting issue.
> 
> First, I eliminate the cygwin-b20 directory entirely -- I don't
> plan on keeping multiple versions on my PC (if you do, just keep
> that directory level; everything else stays the same). All
> original directories below are relative to cygwin-b20.  H-i586 and
> i586 refer to the looooong directory names that start with those
> respective strings (since I don't have them anymore, I don't
> remember what they are <g>).
> 
>     Original                            New
> bin                                    usr/local/bin
> share                                  usr/local/share
> i586/bin                               1
> H-i586/i586/include                    usr/include
> H-i586/i586/lib                        usr/lib
> H-i586/bin                             usr/bin
> H-i586/lib                             usr/local/lib
> H-i586/etc                             usr/etc 2
> H-i586/libexec                         usr/libexec 3
> 
> 1.  I'm not sure where these go on a "standard" Unix box (if there
> is such a thing <g>).  In AIX, which isn't necessarily what you want
> to emulate, these programs are in /usr/css/bin.
> 2.  I've heard differing opinions on whether this should be /etc or
> /usr/etc.  I have termcap in both places to cover my bases <g>.
> 3.  Not sure what these programs are or what they're for, so I don't
> know where to put them.
> 
> My mount points then become:
> Device           Directory           Type        Flags
> G:\temp          /tmp                native      text!=binary
> C:               /c                  native      text!=binary
> G:\cygnus        /                   native      text!=binary
> 
> If you choose to keep the cygwin-b20 layer, then the / mount
> point would be g:\cygnus\cygwin-b20.
> 
> This keeps the mount points to a minumum; by putting the
> directories in the above places, the entire /usr tree falls
> naturally into place, without having to have several mount
> points.  It only takes a few seconds in Explorer to do the
> moves, and from that point forward I haven't had any trouble.
> 
> Hopefully this will generate lots of discussion, even if it's
> lambasting my setup <g> -- I have yet to see any documentation on
> how to map the bizarre Cygnus structure to something approaching
> Unix normalcy.
> 
> Vince
> 
> Ken Laberteaux wrote:
> 
> > I just downloaded cygnus b20.  Any suggestion on mount tables?  Should I
> > make a /usr/local?  Which /bin should I use?  Any other suggestions are
> > most welcomed.
> >
> > Ken
> >
> > -
> > For help on using this list (especially unsubscribing), send a message to
> > "[email-masked]" with one line of text: "help".
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".